# Serialized Form

## Package org.codehaus.plexus.util

### Class org.codehaus.plexus.util.FastMap

class FastMap extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream stream) throws IOException, ClassNotFoundException
Requires special handling during de-serialization process.

Parameters:
  `stream` - the object input stream.
Throws:
  `IOException` - if an I/O error occurs.
  `ClassNotFoundException` - if the class for the object de-serialized is not found.

##### writeObject

private void writeObject(ObjectOutputStream stream) throws IOException
Requires special handling during serialization process.

Parameters:
  `stream` - the object output stream.
Throws:
  `IOException` - if an I/O error occurs.

## Package org.codehaus.plexus.util.cli

### Exception Class org.codehaus.plexus.util.cli.CommandLineException

class CommandLineException extends Exception implements Serializable

### Exception Class org.codehaus.plexus.util.cli.CommandLineTimeOutException

class CommandLineTimeOutException extends CommandLineException implements Serializable

## Package org.codehaus.plexus.util.dag

### Exception Class org.codehaus.plexus.util.dag.CycleDetectedException

class CycleDetectedException extends Exception implements Serializable

#### Serialized Fields

##### cycle

    List<String> cycle

### Class org.codehaus.plexus.util.dag.DAG

class DAG extends Object implements Serializable

#### Serialized Fields

##### vertexList

    List<Vertex> vertexList

Conatin list of all vertices

##### vertexMap

    Map<String,Vertex> vertexMap

Maps vertex's label to vertex

### Class org.codehaus.plexus.util.dag.Vertex

class Vertex extends Object implements Serializable

#### Serialized Fields

##### children

    List<Vertex> children

##### label

    String label

##### parents

    List<Vertex> parents

## Package org.codehaus.plexus.util.introspection

### Exception Class org.codehaus.plexus.util.introspection.MethodMap.AmbiguousException

class AmbiguousException extends Exception implements Serializable

## Package org.codehaus.plexus.util.reflection

### Exception Class org.codehaus.plexus.util.reflection.ReflectorException

class ReflectorException extends Exception implements Serializable

## Package org.codehaus.plexus.util.xml

### Exception Class org.codehaus.plexus.util.xml.XmlReaderException

class XmlReaderException extends IOException implements Serializable

#### Serialized Fields

##### _bomEncoding

    String _bomEncoding

##### _contentTypeEncoding

    String _contentTypeEncoding

##### _contentTypeMime

    String _contentTypeMime

##### _is

    InputStream _is

##### _xmlEncoding

    String _xmlEncoding

##### _xmlGuessEncoding

    String _xmlGuessEncoding

### Exception Class org.codehaus.plexus.util.xml.XmlStreamReaderException

class XmlStreamReaderException extends XmlReaderException implements Serializable

### Class org.codehaus.plexus.util.xml.Xpp3Dom

class Xpp3Dom extends Object implements Serializable

serialVersionUID:
  2567894443061173996L

#### Serialized Fields

##### attributes

    Map<String,String> attributes

##### childList

    List<Xpp3Dom> childList

##### inputLocation

    Object inputLocation

Since:
  3.2.0

##### name

    String name

##### parent

    Xpp3Dom parent

##### value

    String value

## Package org.codehaus.plexus.util.xml.pull

### Exception Class org.codehaus.plexus.util.xml.pull.XmlPullParserException

class XmlPullParserException extends Exception implements Serializable

#### Serialized Fields

##### column

    int column

##### detail

    Throwable detail

Deprecated.
use generic getCause() method

##### row

    int row